Subject: Re: [PATCH net-next] sched: add dualpi2 scheduler module

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 14 Mar 2019 17:48:57 +0100

Olga Albisser <[email-masked]> writes:

> DUALPI2 provides extremely low latency & loss to traffic that uses a
> scalable congestion controller (e.g. L4S, DCTCP) without degrading the
> performance of 'classic' traffic (e.g. Reno, Cubic etc.). It is intended
> to be the reference implementation of the IETF's DualQ Coupled AQM.

Hi Olga

I noticed that there's an IPR disclosure filed at the IETF[0] claiming a
patent on the algorithm. I'm curious if you know whether Nokia has an
official position on the use of that patent in this implementation if it
becomes part of the kernel? :)

-Toke

[0] https://datatracker.ietf.org/ipr/2952/